petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPQCGGetQuadratic

Gets the value of the quadratic function, evaluated at the new iterate:

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPQCGGetQuadratic(KSP ksp,PetscReal *quadratic)

q(s) = g^T * s + 0.5 * s^T * H * s Many br

which satisfies the Euclidian Norm trust region constraint Many br

|| D * s || <= delta, Many br

where Many br

delta is the trust region radius, Many brg is the gradient vector, and Many brH is Hessian matrix, Many brD is a scaling matrix. Many br

Collective on KSP Many br

### Input Parameter

ksp -the iterative context Many br

### Output Parameter

quadratic -the quadratic function evaluated at the new iterate Many br

Many br

Level:advanced
Location:src/ksp/ksp/impls/qcg/qcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages